Bug 1117913 - Default secure_path is stupid and triggers problems on system with /bin and /sbin as softlinks
Summary: Default secure_path is stupid and triggers problems on system with /bin and /...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:41 UTC by Olivier LAHAYE
Modified: 2015-11-04 13:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 13:07:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Olivier LAHAYE 2014-07-09 15:41:53 UTC
Description of problem:
On recent fedora and rhel system, /bin and /sbin are simple softlinks to /usr conterpart.
The Defaults secure_path = /sbin:/bin:/usr/sbin:/usr/bin
is useless and redundant and leads to problems.

It sould be:
Defaults secure_path = /usr/sbin:/usr/bin

At worst it could be /usr/sbin:/usr/bin:/sbin:/bin
For compatibility (I have no example where it could be needed)

Indeed, for example (I know it's a bad example):
 rpmbuild -tb <a_python_package>.tar.bz2
Will generate a package with /bin/python dependancy instead of a /usr/bin/python dependancy.

Eventhough this example is bad (you should never build a package as root), I'm sure that there are other examples.


Additional info:
This needs to be fixed on all distros fc and rhel that have a /bin and /sbin as simple link to /usr/bin and /usr/sbin.

Comment 1 Fedora End Of Life 2015-05-29 12:20:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Olivier LAHAYE 2015-05-29 12:32:26 UTC
/etc/sudoers is still affected at least of fc-21.

Comment 3 Fedora End Of Life 2015-11-04 11:43:42 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Karel Zak 2015-11-04 13:07:01 UTC
The problem should be fixed in f23.


Note You need to log in before you can comment on or make changes to this bug.